"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = configureStore;

var _reactRouter = require("react-router");

var _reactRouterRedux = require("react-router-redux");

var _redux = require("redux");

var _reduxLogger = require("redux-logger");

var _reduxThunk = _interopRequireDefault(require("redux-thunk"));

var _fetch = require("../fetch");

var _multi = _interopRequireDefault(require("./multi"));

var _promise = _interopRequireDefault(require("./promise"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var logger = (0, _reduxLogger.createLogger)({
  collapsed: true,
  duration: true
});
var middlewares = [(0, _reactRouterRedux.routerMiddleware)(_reactRouter.browserHistory), _fetch.middleware, _multi.default, _promise.default, _reduxThunk.default, logger];

if (process.env.LOGROCKET) {
  var LogRocket = require('logrocket');

  middlewares.push(LogRocket.reduxMiddleware());
} // Use Redux Dev Tools to compose enhancers if available.


var composeEnhancers = window.__REDUX_DEVTOOLS_EXTENSION_COMPOSE__ || _redux.compose;

function configureStore(rootReducer, initialState) {
  return (0, _redux.createStore)(rootReducer, initialState, composeEnhancers(_redux.applyMiddleware.apply(void 0, middlewares)));
}

module.exports = exports.default;

//# sourceMappingURL=store.development.js